/**
 * DLDI GUI Patcher for Linux
 *
 * This program is an easy to use GUI to patch multiple files at once,
 * created with GTKmm and intended voor Linux users
 *
 * Created by Lucas van Dijk, using an modified version of dldi source,
 * by Michael Chisholm (Chishm)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * @author Lucas van Dijk
 * @version $Id$
 * @license http://www.opensource.org/licenses/gpl-license.php
 */

#ifndef DBUSCLIENT_H
#define DBUSCLIENT_H

#include "stdinc.h"
#include "dbus-client-glue.h"

class DBusClient : public net::return1::Dbus::DLDIGuiObjectClient, public DBus::IntrospectableProxy, public DBus::ObjectProxy
{
	public:
		DBusClient(DBus::Connection& conn, const char * path, const char * name)  : DBus::ObjectProxy(conn, path, name)
		{
		}
};		

#endif
